You are not logged in.

#1 2019-10-03 22:52:18

arch32yes
Member
Registered: 2017-09-30
Posts: 116

[solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

Hello,

i want to use my old archlinux32 installation, but pacman -Syu didn't work.

https://pastebin.com/wc0vPeNM

How can i solved my problem?

Last "pacman Syu" --> 2018-07-14

Thank you.

arch32yes

Last edited by arch32yes (2019-10-05 08:04:38)

Offline

#2 2019-10-04 03:54:14

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,013

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

Hmm, something looks broken.  I can't reproduce your error, but when I upgrade here, I get the following:

(52/52) checking for file conflicts                [#######################] 100%
error: failed to commit transaction (conflicting files)
/usr/lib/pkgconfig/egl.pc exists in both 'mesa' and 'libglvnd'
/usr/lib/pkgconfig/gl.pc exists in both 'mesa' and 'libglvnd'
libxvmc: /usr/include/X11/extensions/vldXvMC.h exists in filesystem (owned by xorgproto)

My mirrorlist seems to be up to date.  As for your problem, libmagick shouldn't be a real package, but instead is provided by imagemagick 7.  I'd suggest doing a

$ sudo pacman -R libmagick

Then re-run your -Syu and see what you get.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2019-10-04 09:57:42

fleger
Member
Registered: 2018-10-18
Posts: 7

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

I'm experiencing the libxvmc issue as well, this is caused by a file conflict between xorgproto 2018.4-1.0 and libxvmc 1.0.12-2.0.

Upstream ArchLinux fixed the issue by removing the offending file from xorgproto: https://git.archlinux.org/svntogit/pack … 17eaf54789.

Not sure about the mesa / libglvnd conflict though, looks like a separate issue.

Offline

#4 2019-10-04 11:20:27

arch32yes
Member
Registered: 2017-09-30
Posts: 116

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

Hello,

sudo pacman -R libmagick
Prüfe Abhängigkeiten...
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: imagemagick: das Entfernen von libmagick verletzt Abhängigkeit von 'libmagick=7.0.7.28-1.0'

I didn't can't remove limagick.

Did you have more input for me, to solved the problem?

Offline

#5 2019-10-04 11:24:45

arch32yes
Member
Registered: 2017-09-30
Posts: 116

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

Hello,

sudo pacman -R libmagick
Prüfe Abhängigkeiten...
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: imagemagick: das Entfernen von libmagick verletzt Abhängigkeit von 'libmagick=7.0.7.28-1.0'

I didn't can't remove limagick.

Did you have more input for me, to solved the problem?


My last working Archlinux32 LXDE ----> 2018-07-14

My Mirrorlist:

cat /etc/pacman.d/mirrorlist
##
## Arch Linux repository mirrorlist for i686
## Generated on 2017-11-15
##

## Canada
#Server = http://arch32.mirrors.simplysam.us/$arch/$repo

## Belarus
#Server = http://mirror.datacenter.by/pub/archlinux32/$arch/$repo

## France
#Server = https://archlinux32.mirror.roelf.org/$arch/$repo

## Germany
Server = http://archlinux32.vollzornbrot.de/$arch/$repo
Server = https://archlinux32.vollzornbrot.de/$arch/$repo
Server = http://mirror.archlinux32.org/$arch/$repo
Server = https://mirror.archlinux32.org/$arch/$repo
## note: you need to resolve via openNIC (or similar) to access the next mirror
#Server = http://mirror.archlinux32.oss/$arch/$repo

## India
#Server = https://ind.mirror.archlinux32.org/$arch/$repo

## Japan
#Server = https://jpn.mirror.archlinux32.org/$arch/$repo

## Mexico
#Server = https://mex.mirror.archlinux32.org/$arch/$repo

## Russia
#Server = http://mirror.yandex.ru/archlinux32/$arch/$repo
#Server = https://mirror.yandex.ru/archlinux32/$arch/$repo

## Singapore
#Server = https://sgp.mirror.archlinux32.org/$arch/$repo

## Switzerland
#Server = http://archlinux32.andreasbaumann.cc/$arch/$repo

## United States
#Server = https://32.arlm.tyzoid.com/$arch/$repo
#Server = https://mirror.math.princeton.edu/pub/archlinux32/$arch/$repo

Last edited by arch32yes (2019-10-04 11:29:36)

Offline

#6 2019-10-04 11:41:09

arch32yes
Member
Registered: 2017-09-30
Posts: 116

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

My new mirrorlist:

cat /etc/pacman.d/mirrorlist
##
## Arch Linux repository mirrorlist for i686
## Generated on 2017-11-15
##

## Canada
#Server = http://arch32.mirrors.simplysam.us/$arch/$repo

## Belarus
#Server = http://mirror.datacenter.by/pub/archlinux32/$arch/$repo

## France
#Server = https://archlinux32.mirror.roelf.org/$arch/$repo

## Germany
#Server = http://archlinux32.vollzornbrot.de/$arch/$repo
#Server = https://archlinux32.vollzornbrot.de/$arch/$repo
#Server = http://mirror.archlinux32.org/$arch/$repo
#Server = https://mirror.archlinux32.org/$arch/$repo
Server = https://de.mirror.archlinux32.org/$arch/$repo
Server = https://mirror.archlinux32.org/$arch/$repo
## note: you need to resolve via openNIC (or similar) to access the next mirror
#Server = http://mirror.archlinux32.oss/$arch/$repo

## India
#Server = https://ind.mirror.archlinux32.org/$arch/$repo

## Japan
#Server = https://jpn.mirror.archlinux32.org/$arch/$repo

## Mexico
#Server = https://mex.mirror.archlinux32.org/$arch/$repo

## Russia
#Server = http://mirror.yandex.ru/archlinux32/$arch/$repo
#Server = https://mirror.yandex.ru/archlinux32/$arch/$repo

## Singapore
#Server = https://sgp.mirror.archlinux32.org/$arch/$repo

## Switzerland
#Server = http://archlinux32.andreasbaumann.cc/$arch/$repo

## United States
#Server = https://32.arlm.tyzoid.com/$arch/$repo
#Server = https://mirror.math.princeton.edu/pub/archlinux32/$arch/$repo

Isn't solved my problem.

Offline

#7 2019-10-04 16:20:33

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,013

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

Okay, I thought you could get away with not doing an -Rs to cascade all dependencies, but perhaps you can't.  FWIW, I can't actually understand very many technical terms in German, but that's my guess.  You can reset your language to English for stuff you need to report by preceding the call with an 'LC_ALL=C' so for e.g. 'LC_ALL=C pacman -R libmagick', so it'll print out errors more of us will recognise.,

But yeah, if you can't remove just libmagick, you can remove it and all dependencies with -Rs but I'd expect that to clobber imagemagick too.  You could then reinstall imagemagick without any problems, most likely, but I don't know if anything else it depends on is important to anything else you use (and not properly documented as a dependency of that thing).

Your mirrorlist looks reasonable to me.  A little fragile in extreme circumstances maybe, but it should be fine for the situation referred to here.

This is a little hard to control at this distance.  I can tell you what I'd do, but at the end of it it comes down to 'does it look okay' which is a value judgement.  It's something like this

$ pacman -Qi libmagick
$pacman -Qi imagemagick

Check the 'depends on' (or whatever that is in German) lines and ensure that almost everything libmagick depends on are covered by imagemagick.

Then

$sudo pacman -Rs libmagick
$sudo pacman -Syu imagemagick

Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#8 2019-10-04 20:35:11

arch32yes
Member
Registered: 2017-09-30
Posts: 116

Re: [solved] pacman -Syu - LXDE Desktop will not work -last work --> 2018

My solution:

sudo pacman -Rsc libmagick

sudo pacman -Syu imagemagick --ignore=libxvmc --ignore=xorgproto --ignore=fuse-common --ignore=fuse2 --ignore=fuse3 --ignore=gvfs


https://pastebin.com/NDQp571M

Next boot:

sudo pacman -Syu --ignore=libxvmc --ignore=xorgproto --ignore=fuse-common --ignore=fuse2 --ignore=fuse3 --ignore=gvfs

https://pastebin.com/irbudJ6p

Last edited by arch32yes (2019-10-04 20:56:18)

Offline

Board footer

Powered by FluxBB